## tclws 2.3.8

=== debian/changelog ===
tclws (2.3.8-1) unstable; urgency=medium

  * New upstream release
  * Removed duplicate license files: everything is in the copyright file
  * Fixed wrong Files: selector in the copyright file
  * Fixed wrong doc-base field
  * Fixed wrong description list indentation in 'control'
  * Fix license reference in copyright for CheckAndBuild.tcl
  * Add watch file (even though there is no artifact meaningful 
    naming scheme to watch after)
 
 -- Massimo Manghi <mxmanghi@apache.org>  Thu, 25 Aug 2016 12:00:03 +0200

tclws (2.3.7-1) unstable; urgency=medium

  * Initial release (Closes: #834231)

 -- Massimo Manghi <mxmanghi@apache.org>  Sat, 13 Aug 2016 18:09:23 +0200

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ 


# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

override_dh_auto_build:


override_dh_auto_install:

## tclws 3.4.0

=== Makefile ===
#
# "make install" to copy all the stuff into a dir where Tcl can find it
#
# $Id$
#

TARGETDIR=/usr/local/lib/tclws

all:
	@echo "Use \"make install\" to deploy files."

install:
	mkdir -p $(TARGETDIR)
	cp -v *.tcl $(TARGETDIR)

## tclws 2.4.0

=== debian/changelog ===
tclws (2.4.0-1) unstable; urgency=medium

  * New upstrem release 

 -- Massimo Manghi <mxmanghi@apache.org>  Sat, 24 Jun 2017 16:44:13 +0200

=== debian/control ===
Source: tclws
Section: net
Priority: optional
Maintainer: Massimo Manghi <mxmanghi@apache.org>
Build-Depends: debhelper (>=9)
Standards-Version: 3.9.8
Homepage: http://core.tcl.tk/tclws/
#Vcs-Git: git://anonscm.debian.org/collab-maint/tclws.git
#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tclws.git

Package: tclws
Architecture: all
Depends: ${misc:Depends}, tcl (>=8.5), tdom, tcllib, tcl-tls
Suggests: libapache2-mod-rivet, aolserver4
Description: Tcl Web Services
 The package provides a Tcl implementation of 
 both client side access to Web Services and 
 server side creation of Web Services. 
 Currently only document/literal and rpc/encoded with
 HTTP Soap transport are supported on the client side.
 The server side code currently works with several web
 servers
 .
    - TclHttpd
    - Apache with Rivet (Debian package libapache2-mod-rivet)
    - AOLserver (Debian package aolserver4)
    - WUB
    - wibble
    - Microsoft Internet Information Server
 .
 The server side code can also be embedded in other
 application (see Tcl Web services provide all services 
 as document/literal over HTTP Soap transport. The package
 ships also HTML documentation and coding examples

## tclws 2.5.0

=== debian/changelog ===
tclws (2.5.0-1) unstable; urgency=medium

  * New upstream release 
  * Reset exec flag of ClientSide.tcl and pkgIndex.tcl
  * dh_compress target overridden to avoid to compress .tcl files
  * Clean up debian/rules to prevent lintian think that it's an
    unmodified copy of the debhelper template.

 -- Massimo Manghi <mxmanghi@apache.org>  Mon, 22 Jan 2018 18:13:15 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Massimo Manghi <mxmanghi@apache.org>
 Build-Depends: debhelper (>=9)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://core.tcl.tk/tclws/
 #Vcs-Git: git://anonscm.debian.org/collab-maint/tclws.git
 #Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tclws.git

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

DIR = $(shell pwd)/debian/tclws

%:
	dh $@ 

override_dh_auto_build:

override_dh_auto_install:

override_dh_install:
	dh_install
	find $(DIR)/usr/lib -type f -exec chmod a-x \{\} \;

override_dh_compress:
	dh_compress -X.tcl -X.adp

.PHONY: override_dh_auto_build override_dh_auto_install \
	override_dh_install override_dh_compress

=== debian/watch ===
# Tclws Fossil repository is not distributing official 
# artifacts with a naming scheme that easily allow a
# <release-number>-<artifact-name> mapping

## tclws 2.6.0

=== debian/changelog ===
tclws (2.6.0-1) unstable; urgency=medium

  * New upstream release 

 -- Massimo Manghi <mxmanghi@apache.org>  Fri, 07 Sep 2018 03:47:12 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Massimo Manghi <mxmanghi@apache.org>
 Build-Depends: debhelper (>=9)
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Homepage: http://core.tcl.tk/tclws/
 #Vcs-Git: git://anonscm.debian.org/collab-maint/tclws.git
 #Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tclws.git

## tclws 2.6.2

=== debian/changelog ===
tclws (2.6.2-1) unstable; urgency=medium

  * New upstream release
  * Standards checked up to 4.3.0.
  * Commands made verbose in 'rules' (required standard version 4.2.0)

 -- Massimo Manghi <mxmanghi@apache.org>  Fri, 25 Jan 2019 11:51:24 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Massimo Manghi <mxmanghi@apache.org>
 Build-Depends: debhelper (>=9)
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Homepage: http://core.tcl.tk/tclws/
 #Vcs-Git: git://anonscm.debian.org/collab-maint/tclws.git
 #Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tclws.git

## tclws 2.6.3

=== debian/changelog ===
tclws (2.6.3-1) unstable; urgency=medium

  * New upstream release
  * Standard compliance checked up to 4.4.1

 -- Massimo Manghi <mxmanghi@apache.org>  Tue, 07 Jan 2020 15:54:59 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Massimo Manghi <mxmanghi@apache.org>
 Build-Depends: debhelper (>=9)
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: http://core.tcl.tk/tclws/
 #Vcs-Git: git://anonscm.debian.org/collab-maint/tclws.git
 #Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tclws.git
 
 Package: tclws
 Architecture: all
+Section: net
 Depends: ${misc:Depends}, tcl (>=8.5), tdom, tcllib, tcl-tls
 Suggests: libapache2-mod-rivet, aolserver4
 Description: Tcl Web Services

## tclws 3.3.0

=== debian/changelog ===
tclws (3.3.0-2) unstable; urgency=medium

  * Fixing the regexp in debian/watch as per Debian instructions and
    recommendations 

 -- Massimo Manghi <mxmanghi@apache.org>  Tue, 17 Aug 2021 16:42:33 +0200

tclws (3.3.0-1) unstable; urgency=medium

  * New upstream release
  * Debian standards compliance verified up to 4.5.1

 -- Massimo Manghi <mxmanghi@apache.org>  Thu, 08 Apr 2021 18:25:41 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Massimo Manghi <mxmanghi@apache.org>
-Build-Depends: debhelper (>=9)
-Standards-Version: 4.4.1
+Build-Depends: debhelper (>=10)
+Standards-Version: 4.5.1
 Homepage: http://core.tcl.tk/tclws/
 #Vcs-Git: git://anonscm.debian.org/collab-maint/tclws.git
 #Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tclws.git

## tclws 3.4.0

=== debian/changelog ===
tclws (3.4.0-2) unstable; urgency=medium

  * Removed unnecessary debian/compat file
  * As per Debian package policy add Rules-Requires-Root rule in debian/control

 -- Massimo Manghi <mxmanghi@apache.org>  Mon, 10 Jan 2022 09:15:32 +0000

tclws (3.4.0-1) unstable; urgency=medium

  * New upstream release 
  * Debian standards compliance verified up to 4.6.0
  * Debhelper compat level raised to 13

 -- Massimo Manghi <mxmanghi@apache.org>  Wed, 20 Oct 2021 12:35:51 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: net
 Priority: optional
 Maintainer: Massimo Manghi <mxmanghi@apache.org>
-Build-Depends: debhelper (>=10)
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (=13)
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: http://core.tcl.tk/tclws/
 #Vcs-Git: git://anonscm.debian.org/collab-maint/tclws.git
 #Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tclws.git

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 override_dh_install:
 	dh_install
-	find $(DIR)/usr/lib -type f -exec chmod a-x \{\} \;
+	find $(DIR)/usr/lib -type f -exec chmod -v a-x \{\} \;
 
 override_dh_compress:
 	dh_compress -X.tcl -X.adp

=== debian/watch ===
# Tclws Fossil repository is not distributing official 
# artifacts with a naming scheme that easily allow a
# <release-number>-<artifact-name> mapping


version=4
opts=filenamemangle=s/.+\/tclws-?(\d+\.\d+\.\d+)\.tar\.gz\?uuid=.+/tclws-$1\.tar\.gz/ \
https://core.tcl-lang.org/tclws/wiki?name=Downloads .*/tclws-(\d+\.\d+\.\d+)\.tar\.gz\?uuid=[0-9a-f]+
debian uupdate

## tclws 3.5.0

=== debian/changelog ===
tclws (3.5.0-1) unstable; urgency=medium

  * New upstream release
  * Standards version 4.7.0 compliance verified

 -- Massimo Manghi <mxmanghi@apache.org>  Sun, 03 Nov 2024 20:53:06 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Massimo Manghi <mxmanghi@apache.org>
 Build-Depends: debhelper-compat (=13)
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: http://core.tcl.tk/tclws/
 #Vcs-Git: git://anonscm.debian.org/collab-maint/tclws.git
